Bug 546391 - [raw-config]Discard changes still retains the previous edits (not getting refrehsed)
[raw-config]Discard changes still retains the previous edits (not getting ref...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: rhq_spearhead
  Show dependency treegraph
 
Reported: 2009-12-10 14:25 EST by Preethi Thomas
Modified: 2010-12-16 08:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 544301
Environment:
Last Closed: 2010-12-16 08:57:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-12-10 14:25:39 EST
Description of problem:
Discard changes still retains the previous edits (not getting refrehsed)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Login to rhq
2.Navigate to the Raw& structured server resource
3.Click on configure and Edit files
4. Edit a file 
5.Click on Discard changes
6. Click on Edit files again


  
Actual results:
See that the change you made in step 4 is still shows when you do step 6.

Expected results:

The page should refresh and all the changes should be discarded
Additional info:
Comment 1 Preethi Thomas 2010-01-06 10:20:24 EST
Clicking on discard changes navigates away from the Edit page to the view page. I think it should just discard the changes made but keep the user in the edit page itself.
Comment 2 Preethi Thomas 2010-01-07 09:53:03 EST
Please comment #1

discarding the changes in file mode shouldn't really navigate away from the edit mode. The behavior should be similar to the structured edit reset.
Comment 3 wes hayutin 2010-02-16 11:59:25 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 4 wes hayutin 2010-02-16 12:04:34 EST
making sure we're not missing any bugs in rhq_triage
Comment 5 Corey Welton 2010-12-16 08:57:13 EST
closing per triage

Note You need to log in before you can comment on or make changes to this bug.